#include <bits/stdc++.h>
#define fi first
#define se second

using namespace std;

bool Comp(pair <int,int> a,pair <int,int> b{
    return a.fi>b.fi;
}

std::vector<int> solve(std::vector<int> A){
    vector <pair <int,int>> B;
    int n = A.size();
    int S = 0,s = 0;
    for (int i=0;i<n;++i){
        B.push_back({A[i],i});
        S += A[i];
    } 
    sort(B.begin(),B.end(),Comp);
    vector <int> ans;
    for (int i=0;i<n;++i) ans.push_back(B[i].se);
    return ans; 
}